Executive Summary



This Alert is flagged as TOP 25 Common Weakness Enumeration from CWE/SANS. For more information, you can read this.
Summary
TitleChromium, Google Chrome: Multiple vulnerabilities
Informations
NameGLSA-201908-18First vendor Publication2019-08-15
VendorGentooLast vendor Modification2019-08-15
Severity (Vendor) N/ARevisionN/A

Security-Database Scoring CVSS v2

Cvss vector : (AV:N/AC:M/Au:N/C:P/I:P/A:P)
Cvss Base Score6.8Attack RangeNetwork
Cvss Impact Score6.4Attack ComplexityMedium
Cvss Expoit Score8.6AuthenticationNone Required
Calculate full CVSS 2.0 Vectors scores

Detail

Synopsis

Multiple vulnerabilities have been found in Chromium and Google Chrome, the worst of which could allow remote attackers to execute arbitrary code.

Background

Chromium is an open-source browser project that aims to build a safer, faster, and more stable way for all users to experience the web.

Google Chrome is one fast, simple, and secure browser for all your devices.

Description

Multiple vulnerabilities have been discovered in Chromium and Google Chrome. Please review the referenced CVE identifiers and Google Chrome Releases for details.

Impact

Please review the referenced CVE identifiers for details.

Workaround

There is no known workaround at this time.

Resolution

All Chromium users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot -v ">=www-client/chromium-76.0.3809.100"

All Google Chrome users should upgrade to the latest version:
# emerge --sync
# emerge -a --oneshot -v ">=www-client/google-chrome-76.0.3809.100"

References

[ 1 ] CVE-2019-5805 : https://nvd.nist.gov/vuln/detail/CVE-2019-5805
[ 2 ] CVE-2019-5806 : https://nvd.nist.gov/vuln/detail/CVE-2019-5806
[ 3 ] CVE-2019-5807 : https://nvd.nist.gov/vuln/detail/CVE-2019-5807
[ 4 ] CVE-2019-5808 : https://nvd.nist.gov/vuln/detail/CVE-2019-5808
[ 5 ] CVE-2019-5809 : https://nvd.nist.gov/vuln/detail/CVE-2019-5809
[ 6 ] CVE-2019-5810 : https://nvd.nist.gov/vuln/detail/CVE-2019-5810
[ 7 ] CVE-2019-5811 : https://nvd.nist.gov/vuln/detail/CVE-2019-5811
[ 8 ] CVE-2019-5812 : https://nvd.nist.gov/vuln/detail/CVE-2019-5812
[ 9 ] CVE-2019-5813 : https://nvd.nist.gov/vuln/detail/CVE-2019-5813
[ 10 ] CVE-2019-5814 : https://nvd.nist.gov/vuln/detail/CVE-2019-5814
[ 11 ] CVE-2019-5815 : https://nvd.nist.gov/vuln/detail/CVE-2019-5815
[ 12 ] CVE-2019-5816 : https://nvd.nist.gov/vuln/detail/CVE-2019-5816
[ 13 ] CVE-2019-5817 : https://nvd.nist.gov/vuln/detail/CVE-2019-5817
[ 14 ] CVE-2019-5818 : https://nvd.nist.gov/vuln/detail/CVE-2019-5818
[ 15 ] CVE-2019-5819 : https://nvd.nist.gov/vuln/detail/CVE-2019-5819
[ 16 ] CVE-2019-5820 : https://nvd.nist.gov/vuln/detail/CVE-2019-5820
[ 17 ] CVE-2019-5821 : https://nvd.nist.gov/vuln/detail/CVE-2019-5821
[ 18 ] CVE-2019-5822 : https://nvd.nist.gov/vuln/detail/CVE-2019-5822
[ 19 ] CVE-2019-5823 : https://nvd.nist.gov/vuln/detail/CVE-2019-5823
[ 20 ] CVE-2019-5828 : https://nvd.nist.gov/vuln/detail/CVE-2019-5828
[ 21 ] CVE-2019-5829 : https://nvd.nist.gov/vuln/detail/CVE-2019-5829
[ 22 ] CVE-2019-5830 : https://nvd.nist.gov/vuln/detail/CVE-2019-5830
[ 23 ] CVE-2019-5831 : https://nvd.nist.gov/vuln/detail/CVE-2019-5831
[ 24 ] CVE-2019-5832 : https://nvd.nist.gov/vuln/detail/CVE-2019-5832
[ 25 ] CVE-2019-5833 : https://nvd.nist.gov/vuln/detail/CVE-2019-5833
[ 26 ] CVE-2019-5834 : https://nvd.nist.gov/vuln/detail/CVE-2019-5834
[ 27 ] CVE-2019-5835 : https://nvd.nist.gov/vuln/detail/CVE-2019-5835
[ 28 ] CVE-2019-5836 : https://nvd.nist.gov/vuln/detail/CVE-2019-5836
[ 29 ] CVE-2019-5837 : https://nvd.nist.gov/vuln/detail/CVE-2019-5837
[ 30 ] CVE-2019-5838 : https://nvd.nist.gov/vuln/detail/CVE-2019-5838
[ 31 ] CVE-2019-5839 : https://nvd.nist.gov/vuln/detail/CVE-2019-5839
[ 32 ] CVE-2019-5840 : https://nvd.nist.gov/vuln/detail/CVE-2019-5840
[ 33 ] CVE-2019-5842 : https://nvd.nist.gov/vuln/detail/CVE-2019-5842
[ 34 ] CVE-2019-5847 : https://nvd.nist.gov/vuln/detail/CVE-2019-5847
[ 35 ] CVE-2019-5848 : https://nvd.nist.gov/vuln/detail/CVE-2019-5848
[ 36 ] CVE-2019-5850 : https://nvd.nist.gov/vuln/detail/CVE-2019-5850
[ 37 ] CVE-2019-5851 : https://nvd.nist.gov/vuln/detail/CVE-2019-5851
[ 38 ] CVE-2019-5852 : https://nvd.nist.gov/vuln/detail/CVE-2019-5852
[ 39 ] CVE-2019-5853 : https://nvd.nist.gov/vuln/detail/CVE-2019-5853
[ 40 ] CVE-2019-5854 : https://nvd.nist.gov/vuln/detail/CVE-2019-5854
[ 41 ] CVE-2019-5855 : https://nvd.nist.gov/vuln/detail/CVE-2019-5855
[ 42 ] CVE-2019-5856 : https://nvd.nist.gov/vuln/detail/CVE-2019-5856
[ 43 ] CVE-2019-5857 : https://nvd.nist.gov/vuln/detail/CVE-2019-5857
[ 44 ] CVE-2019-5858 : https://nvd.nist.gov/vuln/detail/CVE-2019-5858
[ 45 ] CVE-2019-5859 : https://nvd.nist.gov/vuln/detail/CVE-2019-5859
[ 46 ] CVE-2019-5860 : https://nvd.nist.gov/vuln/detail/CVE-2019-5860
[ 47 ] CVE-2019-5861 : https://nvd.nist.gov/vuln/detail/CVE-2019-5861
[ 48 ] CVE-2019-5862 : https://nvd.nist.gov/vuln/detail/CVE-2019-5862
[ 49 ] CVE-2019-5863 : https://nvd.nist.gov/vuln/detail/CVE-2019-5863
[ 50 ] CVE-2019-5864 : https://nvd.nist.gov/vuln/detail/CVE-2019-5864
[ 51 ] CVE-2019-5865 : https://nvd.nist.gov/vuln/detail/CVE-2019-5865
[ 52 ] CVE-2019-5867 : https://nvd.nist.gov/vuln/detail/CVE-2019-5867
[ 53 ] CVE-2019-5868 : https://nvd.nist.gov/vuln/detail/CVE-2019-5868

Availability

This GLSA and any updates to it are available for viewing at the Gentoo Security Website:

https://security.gentoo.org/glsa/201908-18

Original Source

Url : http://security.gentoo.org/glsa/glsa-201908-18.xml

CWE : Common Weakness Enumeration

%idName
25 %CWE-20Improper Input Validation
18 %CWE-416Use After Free
14 %CWE-119Failure to Constrain Operations within the Bounds of a Memory Buffer
7 %CWE-264Permissions, Privileges, and Access Controls
7 %CWE-190Integer Overflow or Wraparound (CWE/SANS Top 25)
5 %CWE-284Access Control (Authorization) Issues
5 %CWE-200Information Exposure
4 %CWE-125Out-of-bounds Read
4 %CWE-19Data Handling
2 %CWE-787Out-of-bounds Write (CWE/SANS Top 25)
2 %CWE-664Improper Control of a Resource Through its Lifetime
2 %CWE-601URL Redirection to Untrusted Site ('Open Redirect') (CWE/SANS Top 25)
2 %CWE-502Deserialization of Untrusted Data
2 %CWE-285Improper Access Control (Authorization)
2 %CWE-254Security Features
2 %CWE-18Source Code

CPE : Common Platform Enumeration

TypeDescriptionCount
Application4524
Os1
Os1
Os1
Os1
Os1
Os1
Os1
Os3
Os1
Os1
Os1
Os1
Os1
Os1

Nessus® Vulnerability Scanner

DateDescription
2019-01-16Name : The remote Fedora host is missing a security update.
File : fedora_2019-348547a32d.nasl - Type : ACT_GATHER_INFO
2019-01-07Name : The remote Fedora host is missing a security update.
File : fedora_2019-859384e002.nasl - Type : ACT_GATHER_INFO
2019-01-07Name : The remote FreeBSD host is missing a security-related update.
File : freebsd_pkg_546d4dd410ea11e9b407080027ef1a23.nasl - Type : ACT_GATHER_INFO
2019-01-07Name : The remote FreeBSD host is missing a security-related update.
File : freebsd_pkg_720590df10eb11e9b407080027ef1a23.nasl - Type : ACT_GATHER_INFO
2018-12-14Name : A web browser installed on the remote Windows host is affected by a use after...
File : google_chrome_71_0_3578_98.nasl - Type : ACT_GATHER_INFO
2018-12-14Name : A web browser installed on the remote macOS host is affected by a use after f...
File : macosx_google_chrome_71_0_3578_98.nasl - Type : ACT_GATHER_INFO
2018-12-10Name : The remote Debian host is missing a security-related update.
File : debian_DSA-4352.nasl - Type : ACT_GATHER_INFO
2018-12-10Name : A web browser installed on the remote Windows host is affected by multiple vu...
File : google_chrome_71_0_3578_80.nasl - Type : ACT_GATHER_INFO
2018-12-10Name : A web browser installed on the remote macOS host is affected by multiple vuln...
File : macosx_google_chrome_71_0_3578_80.nasl - Type : ACT_GATHER_INFO

Alert History

If you want to see full details history, please login or register.
0
1
DateInformations
2019-08-18 05:22:46
  • Multiple Updates
2019-08-15 21:18:41
  • First insertion